#
# spec file for package bijiben
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define with_zeitgeist 0

Name:           bijiben
Version:        3.20.2
Release:        1.1
Summary:        Note editor for GNOME
License:        GPL-3.0+ and CC-BY-SA-3.0
Group:          Productivity/Text/Editors
Url:            https://live.gnome.org/Bijiben
Source:         http://download.gnome.org/sources/bijiben/3.20/%{name}-%{version}.tar.xz
BuildRequires:  intltool >= 0.50.1
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(goa-1.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.11.4
BuildRequires:  pkgconfig(libecal-1.2)
BuildRequires:  pkgconfig(libecal-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libedataserverui-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(tracker-sparql-1.0)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(webkitgtk-3.0)
%if %{with_zeitgeist}
BuildRequires:  pkgconfig(zeitgeist-2.0)
%endif
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bijiben is a note editor designed to remain simple to use.

%package -n gnome-shell-search-provider-%{name}
Summary:        Note editor for GNOME -- Search Provider for GNOME Shell
License:        GPL-3.0+
Group:          Productivity/Office/Other
Requires:       %{name} = %{version}
Requires:       gnome-shell
Supplements:    packageand(%{name}:gnome-shell)

%description -n gnome-shell-search-provider-%{name}
Bijiben is a note editor designed to remain simple to use.

This package contains a search provider to enable GNOME Shell to get
search results from documents.

%lang_package
%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-update-mimedb
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete -print
%suse_update_desktop_file org.gnome.bijiben DesktopUtility
%find_lang %{name} %{?no_lang_C}

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post
%desktop_database_post
%mime_database_post

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun
%desktop_database_postun
%mime_database_postun

%files
%defattr(-,root,root)
%doc COPYING
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.bijiben.desktop
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.bijiben*
%{_datadir}/mime/packages/org.gnome.bijiben.xml
%dir %{_datadir}/appdata/
%{_datadir}/appdata/org.gnome.bijiben.appdata.xml

%files lang -f %{name}.lang

%files -n gnome-shell-search-provider-%{name}
%defattr(-,root,root)
%{_datadir}/dbus-1/services/org.gnome.bijiben.SearchProvider.service
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.bijiben-search-provider.ini
%{_libexecdir}/%{name}-shell-search-provider

%changelog
* Tue May 10 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Sun Mar 13 2016 zaitor@opensuse.org
- Update to version 3.19.92:
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Various xdg app fixes.
  + Updated translations.
* Mon Feb  1 2016 dimstar@opensuse.org
- Update to version 3.19.4.1:
  + Update the AppData to spec version 0.7.
  + Updated translations.
* Mon Jan 25 2016 egeorget@openmailbox.org
- Recommend bijiben-lang by the main package.
* Tue Jan 19 2016 dimstar@opensuse.org
- Update to version 3.19.4:
  + Updated translations.
* Mon Dec 21 2015 damjanovic.ivo@gmail.com
- Update to version 3.19.3:
  + CSS updates.
  + Search entry on no result.
  + Color button update.
  + Build: arg to make zeitgeist.
  + appdata: kudos.
  + Updated translations.
* Sun Nov 22 2015 zaitor@opensuse.org
- Update to version 3.19.1:
  + Updated translations.
* Sun Nov  8 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Updated translations.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
* Sun Sep 20 2015 zaitor@opensuse.org
- Update to version 3.18.0:
  + manager::get_item_at_path : handle null.
  + Updated translations.
* Mon Sep 14 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Updated translations.
* Tue Sep  1 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Updated translations.
* Mon Aug 17 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Fix missing return.
  + Updated translations.
* Sat Jul 18 2015 zaitor@opensuse.org
- Update to version 3.17.4:
  + Hidpi:
  - Notes & notebooks icons.
  - Fix thumbnails inside shell.
  - Empty result box.
  + Bugs fixed:
  - Fix crash when note color changes (rh#1204815).
  - Fix build error.
  + Updated translations.
* Wed Jun 24 2015 zaitor@opensuse.org
- Update to version 3.17.3:
  + Updated translations.
* Tue May 26 2015 zaitor@opensuse.org
- Update to version 3.17.2:
  + Updated translations.
* Tue May 12 2015 dimstar@opensuse.org
- Update to version 3.17.1:
  + Symbolic variant of the app icon.
  + Fix tracker callback.
  + Typos in help.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Tue May 12 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Provide a symbolic icon.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Updated translations.
* Fri Mar 20 2015 zaitor@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Mon Mar  2 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Settings Dialog: pack providers.
  + Build: Translate GSettings directly.
  + Drop Dependency on Evolution.
  + Updated translations.
- Update BuildRequires to follow upstream changes:
  + Remove pkgconfig(evolution-calendar-3.0) and
    pkgconfig(evolution-data-server-1.2).
  + Add pkgconfig(libecal-1.2), pkgconfig(libedataserver-1.2) and
    pkgconfig(libedataserverui-1.2).
* Fri Feb 20 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Help: Add trail image.
  + Updated translations.
* Wed Dec 17 2014 zaitor@opensuse.org
- Update to version 3.15.3:
  + Improve preferences dialog.
  + Misc: Fix use-system-font.
  + Documentation:
  - Trash, Share.
  - Cut Copy Paste.
  - Notebooks, Search.
  + Updated translations.
* Fri Nov 28 2014 zaitor@opensuse.org
- Update to version 3.15.2:
  + Drop background lines.
  + Validate AppData.
  + Ensure ownCloud folder exists.
  + Documentation:
  - Updates on colors page.
  - Refer to <New> button.
  + Updated translations.
* Tue Nov 18 2014 zaitor@opensuse.org
- Update to version 3.15.1:
  + No changes, version bump only.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + ownCloud: Ensure Notes folder exists.
  + Updated translations.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Update to latest libgd.
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Misc: Some tips to translations about toolbar.
  + Updated translations.
* Mon Sep 15 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Documentation: Add tip to delete.
  + Updated translations.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + UI:
  - Bold title.
  - Move Last Updated on the right side. Adapt on color.
  - Do not align selection bar on keyboard input.
  + Documentation: Add tips.
  + Misc:
  - Add Shortcuts.
  - Remove GdkColor.
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Misc:
  - OwnCloud: offlinemode.
  - mtbar131: Adapt thumbnails to color (bgo#726067).
  - Shoba Tyagi: Trash page documentation.
  + Bugs fixed: bgo#734817, bgo#733855.
  + Updated translations.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Adapt text color (bgo#726067).
  + Use the new gear menu (bgo#726067).
  + Fix Size Request (bgo#721195).
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.3:
  + UI changes:
  - Indent List (bgo#728868).
  - Update link & note icons (bgo#731441).
  - Change empty view wording (bgo#731199).
  + Misc:
  - Fix Undo/Redo shortcuts (bgo#731089).
  - --new-note commandline arg.
  - Force empty view when deleting last (bgo#731398).
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.13.1:
  + Remove Clutter. Use a popover for editor selection.
  + Partial support for vjournal.
  + Focus notes when opened. Partly fixes bgo#699249.
  + Fix Header bar duplicate pixels.
  + Use subdir-objects, git.mk.
  + Updated translations.
- Drop pkgconfig(clutter-gtk-1.0) BuildRequires: No longer needed.
- Add pkgconfig(evolution-calendar-3.0),
  pkgconfig(evolution-data-server-1.2) and pkgconfig(libecal-1.2)
  BuildRequires: New dependencies.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Fri Apr 11 2014 dimstar@opensuse.org
- Introduce with_zeitgeist defines (currently set to 0) to easily
  switch Zeitgeist integration on and off. At this moment, it is
  crashing bijiben when accessing notes if switched on.
- Conditionally enable pkgconfig(zeitgeist-2.0) BuildRequires based
  on with_zeitgeist defines.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Detach opened notes at startup.
  + Bugs fixed:
  - Fix new notebooks not appearing.
  - Fix notes search inside trash bin.
  - Do not mix grid and list (again...).
  + Updated translations.
* Mon Mar  3 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Fix going back and forth to trash bin.
  + Assign a title even with a single row.
  + Updated translations.
* Tue Feb 18 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Add commandline.
  + Fix build for tracker 1.0.
  + Do not show 'load more' at startup.
  + Simpler feedback when search has no result.
  + Improve trash bin.
- Replace pkgconfig(tracker-sparql-0.18) for
  pkgconfig(tracker-sparql-1.0) BuildRequires.
* Tue Feb  4 2014 zaitor@opensuse.org
- Update to version 3.11.5:
  + Unique window. But notes can be detached.
  + Memorize window's size and position.
  + Bugs fixed:
  - Main toolbar: fix positions.
  - Fix default width.
  - Do not toggle search on arrows, tab, return.
  - Do not follow url. Use external application.
  + Update documentation.
  + Updated translations.
* Mon Jan 13 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + Fix keyboard navigation with ctrl tab.
  + mainToolbar: Fix item positions.
  + Fix default window width.
  + Update documentation.
  + Updated translations.
* Tue Dec 17 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + Initial trash bin.
  + Bump tracker to 0.18.
  + Update documentation.
  + Updated translations.
- No longer hack up configure's tracker detection: fixed upstream.
* Sat Nov 23 2013 dimstar@opensuse.org
- Replace pkgconfig(tracker-sparql-0.16) BuildRequires with
  pkgconfig(tracker-sparql-0.18): move to Tracker 0.18.
- Replace tracker-spaqrl-0.16 in configure with
  tracker-sparql-0.18, using sed.
* Mon Nov 18 2013 dimstar@opensuse.org
- Update to version 3.11.2:
  + Use "Notebook" labels instead of "Collections".
  + Update documentation.
  + Fix Zeitgeist build.
  + Bugs fixed: rh#1026979.
  + Updated translations.
* Sun Nov 17 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + List view :
  - Add three columns.
  - Remove search completion.
  - Make Zeitgeist optional.
  - Use system font setting.
  - Revamp Tomboy/Gnote import a bit.
  - Validate .desktop on make check.
  - Rework opening notes at startup.
  + Bug Fixes:
  - Editor: handle tab key (bgo#710591).
  - MainView: fix header bar double stroke (bgo#706909).
  - Import dialog : add border (bgo#709348).
  - Fix compilation warnings.
  + Updated translations.
* Mon Nov 11 2013 dimstar@opensuse.org
- Update to version 3.10.2 (bnc#849913):
  + Fix segfault (rh#1026979).
  + Updated translations.
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Bugs fixed: bgo#708458, bgo#709820, bgo#708812.
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Add instructions to rename help page.
  + Updated translations.
* Mon Sep  2 2013 zaitor@opensuse.org
- Update to version 3.9.91:
  + Ship appData.
  + Use native close button.
  + Update the documentation.
  + Update About Dialog.
  + Bug Fixes:
  - Fix selection toolbar buttons valign.
  - Fix the back button.
  - shell-provider: do not abort when tracker connection fails.
  - Delete bjb-icons-colors.
  + Updated translations.
* Mon Aug 19 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Settings: revamp the window to add primary book choice.
  + Selection toolbar: update to newer design.
  + Bug Fixes:
  - <name> must match the exact repository's name.
  - Fix the import dialog icon for folders.
  + Updated translations.
* Tue Jul 30 2013 dimstar@opensuse.org
- Update to version 3.9.5:
  + Bugs fixed: bgo#703703, bgo#704521, bgo#703706.
  + Updated translations.
- Pass --disable-update-mimedb to configure: we update the mime
  database on target system using post scriptlets.
- Add %%mime_database_* scripts to post/postun.
* Wed Jul 10 2013 dimstar@opensuse.org
- Update to version 3.9.4:
  + Rename Notes (bgo#702298).
  + Bugs fixed: bgo#703404, bgo#703017, bgo#702877, bgo#703474,
    bgo#702504, bgo#703497, bgo#703459, bgo#703401, bgo#703401,
    bgo#702865, bgo#703501.
  + Updated translations.
- Replace pkgconfig(zeitgeist-1.0) BuildRequires with
  pkgconfig(zeitgeist-2.0), following upstreams changes.
- Fix post scriptlet to run icon_theme_cache_post instead of
  icon_theme_cache_postun.
- Add %%icon_theme_cache_post(un) for HighContrast icon theme to
  post/postun.
* Fri Jun 21 2013 dimstar@opensuse.org
- Update to version 3.9.3:
  + Initial ownCloud support and revisit architecture.
  + Bug fixed: bgo#701054.
  + Updated translations.
- Add pkgconfig(goa-1.0) BuildRequires: new dependency for ownCloud
  support.
* Tue May 28 2013 dimstar@opensuse.org
- Update to version 3.9.2:
  + Start fixing import dialog, preparing for organize dialog.
  + A first round of code cleanup.
  + Search was really awful (bgo#699656).
  + Updated translations.
- Add pkgconfig(gobject-introspection-1.0) BuildRequires:
  dependency of the imported egg-list-box module.
* Wed May  1 2013 dimstar@opensuse.org
- Update to version 3.9.1:
  + Add basis for collections.
  + Initial empty state (empty results box).
  + Initial spinner.
  + Bugs fixed: bgo#697922, bgo#698028.
  + Updated translations.
* Thu Apr 18 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Switch manual to CC license.
  + Updated translations.
- Change license of main package to GPL-3.0+ and CC-BY-SA-3.0,
  accomodating the new CC licensed manual. The search-provider
  sub-package is licenses GPL-3.0+ only (no documentation in this
  package).
* Sat Mar 30 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
- Changes from version 3.7.92:
  + Fixes on email sharing.
  + Fix various regressions.
  + Use consistently GPLv3+.
  + Updated translations.
* Wed Mar  6 2013 dimstar@opensuse.org
- Initial package, version 3.7.91.
